Show / Hide Table of Contents

# Class AnimUtil

Class providing helper functions when facilitating animations.

##### Inheritance

System.Object
AnimUtil

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.Animation

###### Assembly: Dalamud.dll

##### Syntax

    public static class AnimUtil

### Methods

| Improve this Doc View Source

#### Lerp(Vector2, Vector2, Single)

Lerp between two vectors.

##### Declaration

    public static Vector2 Lerp(Vector2 firstVector, Vector2 secondVector, float by)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | firstVector | The first vector.
System.Numerics.Vector2 | secondVector | The second float.
System.Single | by | The point to lerp to.

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 | The lerped vector.

| Improve this Doc View Source

#### Lerp(Single, Single, Single)

Lerp between two floats.

##### Declaration

    public static float Lerp(float firstFloat, float secondFloat, float by)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | firstFloat | The first float.
System.Single | secondFloat | The second float.
System.Single | by | The point to lerp to.

##### Returns

Type | Description
--- | ---
System.Single | The lerped value.